# TODO
# - build system breaks autoconf cache: i.e PKGCONFIG and FAAD should not be set to custom values
Summary:	Graphical song management program for Apple's iPod
Summary(pl.UTF-8):	Graficzny menadżer utworów muzycznych dla urządzeń Apple iPod
Name:		gtkpod
Version:	2.1.4
Release:	2
License:	GPL/LGPL
Group:		X11/Applications/Multimedia
Source0:	http://downloads.sourceforge.net/gtkpod/%{name}-%{version}.tar.gz
# Source0-md5:	66c12ccb529c0f7de9a48a7f0d277c80
Patch0:		desktop.patch
Patch1:		%{name}-linguas.patch
Patch2:		automake-1.13.patch
URL:		http://www.gtkpod.org/
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.9
BuildRequires:	brasero-devel >= 3.0.0
BuildRequires:	clutter-gtk-devel >= 1.2
BuildRequires:	curl-devel >= 7.10.0
BuildRequires:	flac-devel >= 1.2.1
BuildRequires:	flex
BuildRequires:	gdl-devel >= 3.0.0
BuildRequires:	gettext-devel >= 0.11.0
BuildRequires:	glib2-devel >= 1:2.32
BuildRequires:	gstreamer0.10-plugins-base-devel >= 0.10.25
BuildRequires:	gtk+3-devel >= 3.0.11
BuildRequires:	gtk-webkit3-devel >= 1.3
BuildRequires:	intltool >= 0.33
BuildRequires:	libanjuta-devel >= 1:3.0.0
BuildRequires:	libdiscid-devel
BuildRequires:	libgpod-devel >= 0.7.0
BuildRequires:	libid3tag-devel >= 0.15
BuildRequires:	libmusicbrainz4-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1.3.1
BuildRequires:	libxml2-devel >= 2.7.7
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	sed >= 4.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	/sbin/ldconfig
# M4A -> MP3 conversion support
Requires:	mount
Suggests:	faad2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# clears PKGCONFIG, making cache reuse impossible
%undefine	configure_cache

%description
Platform independent graphical song management program for Apple's
iPod. It allows you to upload songs and playlists to your iPod.

%description -l pl.UTF-8
Niezależne od platformy graficzny menadżer utworów muzycznych dla
urządzeń Apple iPod. Pozwala wgrywać pliki i listy utworów do iPoda.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{__sed} -i -e 's!/usr/bin/awk!/bin/awk!g' scripts/ldif2vcf.sh
%{__sed} -i -e '/^dist_profiles_DATA/s:=.*:=:' plugins/sjcd/data/Makefile.am
mv -f po/cs{_CZ,}.po

%build
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	FAAD=yes \
	--disable-static \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/gtkpod.svg

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtkpod/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/gtkpod/doc

# no -devel
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}
%{__rm} $RPM_BUILD_ROOT%{_pkgconfigdir}/*.pc
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgtkpod.so
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libatomicparsley.so

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor
%glib_compile_schemas

%postun
/sbin/ldconfig
%update_icon_cache hicolor
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO TROUBLESHOOTING
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/libatomicparsley.so.*.*.*
%attr(755,root,root) %{_libdir}/libgtkpod.so.*.*.*
%ghost %{_libdir}/libatomicparsley.so.0
%ghost %{_libdir}/libgtkpod.so.1
%{_mandir}/man1/%{name}.1*
%dir %{_datadir}/%{name}
%{_datadir}/gtkpod/data
%{_datadir}/gtkpod/icons
%dir %{_datadir}/gtkpod/scripts
%attr(755,root,root) %{_datadir}/gtkpod/scripts/*
%{_datadir}/glib-2.0/schemas/org.gtkpod.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtkpod.sjcd.gschema.xml
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%dir %{_libdir}/gtkpod
%attr(755,root,root) %{_libdir}/gtkpod/lib*.so
%{_libdir}/gtkpod/*.plugin
%changelog
* Mon Mar 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtkpod.git;a=log;h=master

* Mon Mar 03 2014 Jan Rękorajski <baggins@pld-linux.org> 5a28cfc
- release 2 (by relup.sh)

* Thu Oct 24 2013 Łukasz Kieś <kiesiu@pld-linux.org> 5a16848
- updated to 2.1.4
- updated BRs
- patches 3 and 4 are applied upstream

* Thu Oct 24 2013 Łukasz Kieś <kiesiu@pld-linux.org> bf54c05
- obsoleted

* Wed Oct 09 2013 Jan Rękorajski <baggins@pld-linux.org> 43d80ee
- release 2 (by relup.sh)

* Sun Apr 07 2013 Łukasz Kieś <kiesiu@pld-linux.org> 59cdadc
- updated to 2.1.3
- format-security patch added upstream
- added patch to build with automake >= 1.13
- added patch to build with libanjuta >= 2.7.3
- added patch to build with gdl >= 3.6.2

* Mon Oct 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> 6a6ed57
- updated to 2.1.2
- mp4v3 dependecy was removed upstream
- updated BRs
- added patches for new anjuta API and format-security error

* Mon Oct 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> a972567
- fix format-security error

* Mon Oct 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> 2ba399c
- fix build with libanjuta >= 3.5.3

* Mon Oct 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> 060a067
- mp4v2 dependency removed upstream

* Thu Sep 27 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4e362a7
- release 3 (by relup.sh)

* Fri Jun 22 2012 Marcin Banasiak <marcin.banasiak@gmail.com> c91705a
- release 2 (by relup.sh)

* Tue Feb 28 2012 Łukasz Kieś <kiesiu@pld-linux.org> b601933
- fixed Czech locale file

* Tue Feb 28 2012 Łukasz Kieś <kiesiu@pld-linux.org> 750a63e
- updated to 2.1.1
- cleaned and added a lot of BRs

* Wed Aug 17 2011 Elan Ruusamäe <glen@pld-linux.org> 830f620
- use mp4v2 implementation instead of mpeg4ip, fix itmf_tags.h detection

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 786f060
- typo

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> e2076c7
- package rest of the files, ldconfig

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 3ab4ce7
- up to 2.1.0, gtk3 version

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 888ef72
- up to 2.0.2, this is gtk2 version

* Mon Jul 11 2011 lisu <lisu@pld-linux.org> 283a44a
- dropped unused mpeg4ip-devel BR

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> f529107
- Requires(post,postun): gtk-update-icon-cache

